summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_coreboot.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-06-09 00:02:49 +0200
committerHolger Levsen <holger@layer-acht.org>2015-06-09 00:02:49 +0200
commitbed209adff9400e428affac4005c87eef8665aae (patch)
treee6c2da2c8f7db26a0947963e6616bed622bf28f4 /bin/reproducible_coreboot.sh
parent58154d6c0e012bd348c528b6970bd4f0e8f6e1fa (diff)
downloadjenkins.debian.net-bed209adff9400e428affac4005c87eef8665aae.tar.xz
reproducible coreboot: abort the job if no cross compilers could be build at all. fix typos related to html output
Diffstat (limited to 'bin/reproducible_coreboot.sh')
-rwxr-xr-xbin/reproducible_coreboot.sh20
1 files changed, 16 insertions, 4 deletions
diff --git a/bin/reproducible_coreboot.sh b/bin/reproducible_coreboot.sh
index ae0db236..8440ea4e 100755
--- a/bin/reproducible_coreboot.sh
+++ b/bin/reproducible_coreboot.sh
@@ -90,9 +90,21 @@ COREBOOT_VERSION=$(git describe)
echo "============================================================================="
echo "$(date -u) - Building cross compilers for ${ARCHS} now."
echo "============================================================================="
-for ARCH in ${ARCHS} ; do
- nice ionice -c 3 make crossgcc-$ARCH || true # don't fail the full job just because some targets fail
+
+GOT_XTOOLCHAIN=false
+set +e
+for ARCH in ${ARCHS} ; do
+ echo "$(date -u) - Building cross compiler for ${ARCH}."
+ nice ionice -c 3 make crossgcc-$ARCH
+ RESULT=$?
+ if [ $RESULT -eq 0 ] ; then
+ GOT_XTOOLCHAIN=true
+ fi
done
+set -e
+if ! $GOT_XTOOLCHAIN ; then
+ echo "Need at least one cross toolchain, aborting."
+fi
echo "============================================================================="
echo "$(date -u) - Building coreboot ${COREBOOT_VERSION} images now - first build run."
@@ -181,10 +193,10 @@ cat > $PAGE <<- EOF
EOF
write_page " <h1>Reproducible Coreboot</h1>"
write_page " <p><em>Reproducible builds</em> enable anyone to reproduce bit by bit identical binary packages from a given source, si that anyone can verify that a given binary derived from the source it was said to be derived. There is a lot more information about <a href=\"https://wiki.debian.org/ReproducibleBuilds\">reproducible builds on the Debian wiki</a> and on <a href=\"https://reproducible.debian.net\">https://reproducible.debian.net</a>.<br />"
-write_page " <em>Reproducible Coreboot</em> is an effort to apply this to coreboot. Thus each coreboot.rom is build twice, with a few varitations added and then those two ROMs are compared using <a href=\"https://tracker.debian.org/debbindiff\">debbindiff</a>. Please note that more variations are to be expected in the wild.t</p>"
+write_page " <em>Reproducible Coreboot</em> is an effort to apply this to coreboot. Thus each coreboot.rom is build twice, with a few varitations added and then those two ROMs are compared using <a href=\"https://tracker.debian.org/debbindiff\">debbindiff</a>. Please note that more variations are to be expected in the wild.</p>"
write_page " <p>This set up to test the <code>master</code> branch of <a href=\"https://review.coreboot.org/p/coreboot.git\">coreboot.git</a> monthly, but as this is brand new, currently updates are triggered more often. Patches are very much welcome, the coreboot pages are solely generated by <a href=\"http://anonscm.debian.org/cgit/qa/jenkins.debian.net.git/tree/bin/reproducible_coreboot.sh\">reproducible_coreboot.sh</a>.</p>"
write_page " <p>These tests were last run on $DATE for version ${COREBOOT_VERSION}.</p><p><code>"
-echo -n $COREBOOT >> $PAGE
+echo -n "$COREBOOT" >> $PAGE
write_page " </code></p>"
write_explaination_table coreboot
write_page " <ul>"